components:
  schemas:
    MemoryDomain_v1_3_1_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/MemoryDomain_v1_3_1_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
          x-versionAdded: v1_2_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryDomain_v1_3_1_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        MediaControllers:
          description: An array of links to the media controllers for this memory
            domain.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type `MediaController` that are associated with this memory domain.
          x-versionAdded: v1_3_0
        MediaControllers@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryDomain_v1_3_1_MemoryDomain:
      additionalProperties: false
      description: The `MemoryDomain` schema describes a memory domain and its configuration.  Memory
        domains indicate to the client which memory, or DIMMs, can be grouped together
        in memory chunks to represent addressable memory.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/MemoryDomain_v1_3_1_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
          x-versionAdded: v1_2_0
        AllowsBlockProvisioning:
          description: An indication of whether this memory domain supports the provisioning
            of blocks of memory.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this memory domain
            supports the creation of blocks of memory.
        AllowsMemoryChunkCreation:
          description: An indication of whether this memory domain supports the creation
            of memory chunks.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this memory domain
            supports the creation of memory chunks.
        AllowsMirroring:
          description: An indication of whether this memory domain supports the creation
            of memory chunks with mirroring enabled.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this memory domain
            supports the creation of memory chunks with mirroring enabled.
          x-versionAdded: v1_1_0
        AllowsSparing:
          description: An indication of whether this memory domain supports the creation
            of memory chunks with sparing enabled.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this memory domain
            supports the creation of memory chunks with sparing enabled.
          x-versionAdded: v1_1_0
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        InterleavableMemorySets:
          description: The interleave sets for the memory chunk.
          items:
            $ref: '#/components/schemas/MemoryDomain_v1_3_1_MemorySet'
          type: array
          x-longDescription: This property shall represent the interleave sets for
            the memory chunk.
        Links:
          $ref: '#/components/schemas/MemoryDomain_v1_3_1_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
          x-versionAdded: v1_3_0
        MemoryChunks:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the collection of memory chunks associated with
            this memory domain.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `MemoryChunksCollection`.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent memory domains in a Redfish
        implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryDomain_v1_3_1_MemorySet:
      additionalProperties: false
      description: The interleave sets for a memory chunk.
      properties:
        MemorySet:
          description: The set of memory for a particular interleave set.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type `Memory`.
        MemorySet@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-longDescription: This type shall represent the interleave sets for a memory
        chunk.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    MemoryDomain_v1_3_1_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#MemoryDomain.v1_3_1.MemoryDomain'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2019.4'
